﻿<%@ Control Language="C#" Inherits="RSM.wvFileUpload.DisplayPage" EnableViewState="true"
    AutoEventWireup="True" CodeBehind="wvFileUpload.Display.ascx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="asiweb" Assembly="Asi.Web" Namespace="Asi.Web.UI.WebControls" %>
<!--
$URL: https://svn.rsm.cloud/repos/NonClient/wvSuite/trunk/wvSuite/wvFileUpload.Display.ascx $
$Rev: 16173 $
$Date: 2021-07-22 16:35:26 -0500 (Thu, 22 Jul 2021) $
-->
<asiweb:StyledLabel runat="server" ID="ConfigDisplay" CssClass="McGladreyVersion"/>
<div class="error">
    <asp:Label runat="server" CssClass="Important Error" ID="lblLicenseError" Visible="false"/>
</div>
<asp:Panel ID="wvFileUploadForm" runat="server" EnableViewState="true" Visible="true" CssClass="wvFileUploadForm">
    <table>
        <tr>
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lbl_transactionDate" runat="server" AssociatedControlID="dtp_transactionDate">Date</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <telerik:RadDatePicker id="dtp_transactionDate" runat="server" Visible="true" ShowButton="False"
                    CausesValidation="True" Enabled="False" />
            </td>
        </tr>
        <tr>
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblCategory" runat="server" CssClass="Required" AssociatedControlID="ddlCategory">Category</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <asp:DropDownList ID="ddlCategory" runat="server" AutoPostBack="true"/>
            </td>
        </tr>
        <tr>
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblAttachmentType" runat="server" CssClass="Required" AssociatedControlID="ddlAttachmentType">Attachment Type</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <asp:DropDownList ID="ddlAttachmentType" runat="server" AutoPostBack="false"/>
            </td>
        </tr>
        <tr runat="server" id="row_UF_1_PROMPT">
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblEffectiveYear" runat="server" CssClass="Required" AssociatedControlID="ddlEffectiveYear">Effective Year</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <asp:DropDownList ID="ddlEffectiveYear" runat="server" AutoPostBack="false"/>
            </td>
        </tr>
        <tr runat="server" id="row_UF_6_PROMPT" data-wvFU-adjustLabel="1">
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblEffectiveDate" runat="server" AssociatedControlID="dtp_EffectiveDate"></asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <telerik:RadDatePicker id="dtp_EffectiveDate" runat="server" Visible="true" ShowButton="True" CausesValidation="True" Enabled="True" />
            </td>
        </tr>
        <tr runat="server" id="row_UF_7_PROMPT" data-wvFU-adjustLabel="1">
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblThroughDate" runat="server" AssociatedControlID="dtp_ThroughDate"></asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <telerik:RadDatePicker id="dtp_ThroughDate" runat="server" Visible="true" ShowButton="True" CausesValidation="True" Enabled="True" />
            </td>
        </tr>
        <tr runat="server" id="row_DESCRIPTION_PROMPT">
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblDescription" runat="server" AssociatedControlID="txtDescription">Description</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <asp:TextBox runat="server" ID="txtDescription" MaxLength="255" Wrap="true" TextMode="MultiLine" CssClass="wvNote"/>
            </td>
        </tr>
        <tr id="AttachmentReq" runat="server">
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label ID="lblAttachment" runat="server" CssClass="Required" AssociatedControlID="uplUpload">Attachment</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <asp:FileUpload ID="uplUpload" runat="server" />
            </td>
        </tr>
        <tr ID="lblViewAttachment" runat="server" Visible="false">
            <td class="PanelTablePrompt wvSuiteFileUploadPromptColumn">
                <asp:Label runat="server" AssociatedControlID="lnkAttachment">View Attachment</asp:Label>
            </td>
            <td class="PanelFieldValue wvSuiteFileUploadInputColumn">
                <asp:HyperLink ID="lnkAttachment" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Label ID="lblMessage" runat="server" Visible="False" CssClass="wvFileUploadError"/>
            </td>
        </tr>
        <tr ID="Buttons" runat="server" class="wvSaveRow">
            <td colspan="2" class="wvButtonPanel">
                <asp:Button ID="btnUpload" runat="server" OnClick="UploadClick" Text="Upload" CssClass="TextButton Upload" />
                &nbsp;
                <asp:Button ID="btnCancel" runat="server" OnClick="CancelClick" Text="Cancel" CssClass="TextButton Cancel" />
                &nbsp;
                <asp:Button ID="btnDelete" runat="server" OnClick="DeleteClick" Text="Delete" CssClass="TextButton Delete" Enabled="false" />
            </td>
        </tr>
    </table>
</asp:Panel>